> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cnaught.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Subaccount

> Deletes the Subaccount with the given id.
This operation will fail if the subaccount has orders associated with it.




## OpenAPI

````yaml api-reference/openapi.yaml delete /subaccounts/{id}
openapi: 3.1.0
info:
  title: CNaught Carbon Credits API Documentation
  contact:
    email: support@cnaught.com
    name: CNaught
    url: https://cnaught.com/
  version: v1
  description: |
    Carbon Credits API Documentation
  termsOfService: https://cnaught.com/terms
  license:
    name: MIT
    url: https://spdx.org/licenses/MIT.html
servers:
  - url: https://api.cnaught.com/v1
    description: CNaught API
security:
  - ApiKey: []
tags:
  - name: Orders
    description: Endpoints for placing orders and retrieving information about orders
  - name: Quotes
    description: Endpoints for obtaining price quotes for orders
  - name: Climate Impact
    description: >-
      Endpoints for retrieving climate impact data and hosted public impact page
      configuration
  - name: Subaccounts
    description: Endpoints for creating and retrieving information about subaccounts
paths:
  /subaccounts/{id}:
    parameters:
      - name: id
        in: path
        description: ID of subaccount to return / modify
        required: true
        schema:
          type: string
          examples:
            - 5nubL0NS
    delete:
      tags:
        - Subaccounts
      summary: Delete Subaccount
      description: >
        Deletes the Subaccount with the given id.

        This operation will fail if the subaccount has orders associated with
        it.
      operationId: DeleteSubaccount
      responses:
        '204':
          description: Subaccount successfully deleted (No Content)
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          description: Forbidden - Subaccount has orders associated with it
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/BaseProblemDetails'
              example:
                type: https://api.cnaught.com/v1/errors/forbidden
                title: Cannot delete subaccount with orders
                status: 403
        '404':
          $ref: '#/components/responses/SubaccountNotFound'
components:
  responses:
    Unauthorized:
      description: Request Unauthorized
      content:
        application/problem+json:
          schema:
            properties:
              title:
                type: string
                description: Short, human-readable summary of the problem type
              status:
                type: integer
                description: HTTP status code of the error
          example:
            title: Authorization has been denied for this request
            status: 401
    SubaccountNotFound:
      description: Subaccount Not Found
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/BaseProblemDetails'
          example:
            type: https://api.cnaught.com/v1/errors/not-found
            title: Could not find subaccount
            status: 404
  schemas:
    BaseProblemDetails:
      type: object
      description: Problem details object returned on errors
      properties:
        title:
          type: string
          description: Short, human-readable summary of the problem
        details:
          type: string
          description: Longer, human-readable description of the problem
        type:
          type: string
          description: URI that identifies the problem type
        status:
          type: integer
          description: HTTP status code of the error
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer

````